For the complete documentation index, see llms.txt. This page is also available as Markdown.

Components

Create, read and update the components shown on a status page.

Get all components in a status page

get

Gets a list of all the components linked to a status page

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobject[]Optional
get/api/status-page/{status_page_id}/component
GET /api/status-page/{status_page_id}/component HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": [
    {
      "_id": "66c1d2e3f4a5b60718293a4c",
      "name": "API",
      "description": "Public REST API",
      "status": "operational",
      "statusPage": "66c1d2e3f4a5b60718293a4b"
    }
  ]
}

Get a component

get

Get Details of a status page component

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

component_idstringRequired

component_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
get/api/status-page/{status_page_id}/component/{component_id}
GET /api/status-page/{status_page_id}/component/{component_id} HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Accept: */*
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4c",
    "name": "API",
    "description": "Public REST API",
    "status": "operational",
    "statusPage": "66c1d2e3f4a5b60718293a4b"
  }
}

Create a component

post

Create a new component for a status page

{
	"components": [
		{
			"name": "title of the component",
			"desc": "Description of hthe component",
			"status": "degraded-performance",
			"private": true
		}
	]
}

You can create multiple components at once.

Params:

name*: Title of the component.

desc*: Updated description

status: Status of the component valid choices for status are operational, degraded-performance, partial-outage, critical-outage any other choice will not reflect on the status page

private: You can choose to private or public the status page based on this flag

* Required

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/component/create
POST /api/status-page/{status_page_id}/component/create HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "components": [
    {
      "name": "from API",
      "desc": "from API"
    }
  ]
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4c",
    "name": "API",
    "description": "Public REST API",
    "status": "operational",
    "statusPage": "66c1d2e3f4a5b60718293a4b"
  }
}

Update a component

post

Update a component. You can update name, description, status. you can also choose to private or public a status page.

{
	"name": "title of the component",
	"desc": "Description of hthe component",
	"status": "degraded-performance",
	"private": true
}

Params:

name: Title of the component.

desc: Updated description

status: Status of the component valid choices for status are operational, degraded-performance, partial-outage, critical-outage any other choice will not reflect on the status page

private: You can choose to private or public the status page based on this flag

Authorizations
x-api-keystringRequired

Your organisation's API key. Create one in the Spike dashboard under Settings > API. Sent on every request as the x-api-key header.

Path parameters
status_page_idstringRequired

status_page_id parameter

component_idstringRequired

component_id parameter

Header parameters
x-api-keystringRequired

Your API key. Find it in your Spike dashboard under Settings > API.

Body
namestringOptional
descstringOptional
Responses
200

Successful response

application/json
successbooleanOptional
dataobjectOptional
post/api/status-page/{status_page_id}/component/{component_id}/update
POST /api/status-page/{status_page_id}/component/{component_id}/update HTTP/1.1
Host: statuspage.spike.sh
x-api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "name": "edited with api",
  "desc": "edited with api"
}
{
  "success": true,
  "data": {
    "_id": "66c1d2e3f4a5b60718293a4c",
    "name": "API",
    "description": "Public REST API",
    "status": "degraded_performance",
    "statusPage": "66c1d2e3f4a5b60718293a4b"
  }
}

Last updated